pipeline:

  # Download example data
  - reader.URLReader:
      url: https://gitlab01.classe.cornell.edu/api/v4/projects/308/repository/files/saxswaxs%2frawdata_test_1d.tar/raw?ref=main
      headers:
        PRIVATE-TOKEN: glpat-sH-sniHbynCxUDJBpv5V # your token here
  - processor.URLResponseProcessor
  - writer.ExtractArchiveWriter:
      filename: .

  # Collect map data
  - reader.YAMLReader:
      filename: map.yaml
      schema: MapConfig
  - processor.MapProcessor
  - writer.NexusWriter:
      filename: map_specdata.nxs
      force_overwrite: true

  # Integrate map detetcor data
  - reader.MultipleReader:
      readers:
        - YAMLReader:
            filename: map.yaml
            schema: MapConfig
        - YAMLReader:
            filename: integration.yaml
            schema: IntegrationConfig
  - processor.IntegrateMapProcessor
  - writer.NexusWriter:
      filename: map_reduceddata.nxs
      force_overwrite: true
